INTERFACE
SUBROUTINE ACNPART ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PNEB,PNEBC,&
 & PCLCC,PCLCH,PCLCL,PCLCM,PCLCT,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PNEB(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PNEBC(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCC(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCH(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCM(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLCT(KLON)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACNPART
END INTERFACE
